POST   checks/url-v2/{checkId}/results

Gets URL check (version 2) results in json format.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/url-v2/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "include": {
    "result_details": {},
    "urls": {
      "include_headers": true
    }
  },
  "filter": {
    "range": {
      "mostrecent": 10,
      "milliseconds_utc": [
        1376980667000,
        1376980667001
      ],
      "period": {
        "from_utc": "2013-08-20T13:32:08",
        "to_utc": "2013-08-21T13:32:08"
      },
      "result_ids": [
        "563e7d46-5b80-4998-915e-4bbe4fc98e36",
        "da75ec30-c940-4116-89ab-42784c0d6c68",
        "8f5b7102-ff65-4bda-9999-7ebb7d8c097a"
      ]
    }
  }
}"
NameType Required Description
includeObjectNo

The include section defines additional URL check (version 2) results information to include into the response (if it exists and can be retrieved). If this section omitted or empty, the response will only contain basic data.

result_detailsObjectNo

Specify the result_details section to include result details. For including, use values: {} or true. For not including do not specify this section or use value: false.

urlsObjectNo

Specify the urls section to include data from URLs.

include_headersBooleanNo

The include_headers flag indicates if information about request and response headers should be included. Default value: false.

filterObjectYes

The filter section defines the criteria for selecting the check results.

rangeObjectYes

This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter.

mostrecentIntegerNo

Number of most recent results.

milliseconds_utcArrayNo

Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970).

periodObjectNo

The period section defines the date range to obtain results for.

from_utcDateTimeYes

Starting timestamp (in UTC) for the date range.

to_utcDateTimeYes

Ending timestamp (in UTC) for the date range.

result_idsArrayNo

Array of result identifiers to specific results.

Response body model example and description

{
  "check_id": 12345,
  "check_results": [
    {
      "result_id": "45172537-c198-4408-bcd0-2eb50895183a",
      "timestamp_utc": "2024-09-27T11:23:11",
      "severity": "I",
      "value": 2000,
      "unit": "ms",
      "result_details": {
        "message": "1 step, 1 page, 19 urls, 3990/482261 sent/received bytes",
        "attempts": 3,
        "result_code": 0
      },
      "urls": [
        {
          "step": 3,
          "url_number": 1,
          "url": "1",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "GET",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 45678,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 2,
          "url_number": 1,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "PUT",
          "http_result": "OK",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 5,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 3,
          "url": "1",
          "offset_ms": 300,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 2000,
          "received_bytes": 200000,
          "sent_bytes": 10000,
          "error_code": 500,
          "error_message": "Internal server error",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "PUT",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 5,
          "response_cookie_count": 7,
          "response_header_count": 5,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "result_id": "8d5c6527-7a5e-4e3c-960d-982b5e3777fb",
      "timestamp_utc": "2024-09-27T11:23:11",
      "severity": "F",
      "value": 3000,
      "unit": "ms",
      "result_details": {
        "message": "1 step, 1 page, 1 url, 142/0 sent/received bytes.",
        "attempts": 2,
        "result_code": 0
      },
      "urls": [
        {
          "step": 2,
          "url_number": 1,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "PUT",
          "http_result": "OK",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 5,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 2,
          "url_number": 1,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "PUT",
          "http_result": "OK",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 5,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "1",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "GET",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 45678,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "result_id": "689ed25f-4c04-4319-a31e-394a3ccefee8",
      "timestamp_utc": "2024-09-27T11:23:11",
      "severity": "I",
      "value": 3000,
      "unit": "ms",
      "result_details": {
        "message": "1 url, 148/6797 sent/received bytes.",
        "attempts": 3,
        "result_code": 0
      },
      "urls": [
        {
          "step": 2,
          "url_number": 1,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "PUT",
          "http_result": "OK",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 5,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "1",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "GET",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 45678,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "1",
          "offset_ms": 200,
          "started_utc": "2024-09-27T11:23:11",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 20000,
          "error_code": 500,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "GET",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 45678,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T11:23:11",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    }
  ]
}
NameType Description
check_idInteger

The numeric identifier of the check.

check_resultsArray

The check results.

CheckIdInteger

No documentation available.

result_idGuid

The result identifier.

timestamp_utcDateTime

The result timestamp in UTC.

severityString

The result severity.

valueInteger

The result's value.

unitString

The result value measures unit.

result_detailsObject

The result details.

messageString

The result message.

attemptsInteger

The number of attempts.

result_codeInteger

The code of result.

urlsArray

The result URLs details.

headersObject

The URL headers.

request_headersObject

The URL request headers.

response_headersObject

The URL response headers.

stepInteger

The number of the step.

url_numberInteger

The number of the URL.

urlString

The number of the URL.

offset_msInteger

The URL request time offset.

started_utcDateTime

The URL request start time.

elapsed_msInteger

The elapsed time.

received_bytesInteger

The received bytes.

sent_bytesInteger

The sent bytes.

error_codeInteger

The error code.

error_messageString

The error message.

completeBoolean

The request complete status.

redirectBoolean

Response with a redirect.

redirect_urlString

The redirect URL.

http_methodString

The HTTP method.

http_resultString

The HTTP result.

http_status_codeInteger

The HTTP status code.

content_from_cacheBoolean

The content was loaded from the cache.

content_mime_typeString

The content type.

content_size_bytesInteger

The content size in bytes.

request_cookie_countInteger

The request cookie count.

request_header_countInteger

The request headers count.

response_cookie_countInteger

The response cookie count.

response_header_countInteger

The response headers count.

response_status_lineString

The response status line.

blocked_duration_msInteger

The browser block duration.

blocked_url_offset_msInteger

The block start offset.

dns_lookup_duration_msInteger

The DNS Lookup duration.

dns_lookup_url_offset_msInteger

The DNS Lookup offset.

connect_duration_msInteger

The connect duration.

connect_url_offset_msInteger

The connect URL offset.

receive_duration_msInteger

The receive duration.

receive_url_offset_msInteger

The receive URL offset.

send_duration_msInteger

The send duration.

send_url_offset_msInteger

The send URL offset.

ttfb_duration_msInteger

The time to first byte duration.

ttfb_url_offset_msInteger

The time to first byte offset.

wait_duration_msInteger

The wait duration.

wait_offset_msInteger

The wait offset.

step_duration_msInteger

The step duration.

response_time_msInteger

The response time.

started_utc_iso_8601String

The start timestamp in UTC ISO 8601 format.

canceledBoolean

The request 'cancelled' status.